Subject: Re: bug#27346: module tests fail to compile with gcc 4.8.5

From: Glenn Morris <[email-masked]>
Date: Tue, 13 Jun 2017 13:04:22 -0400

Philipp Stephani wrote:

> Does it also work if you run 'make src/emacs-module-tests' from 'test'?

Yes, it does.

Although I did change test/data/emacs-module/mod-test.o to not directly
depend on src/emacs-module.c (only on .h), because it doesn't. Depending
on the .c versions seems to me a bit like adding a depending on
"src/emacs", which is strictly true, but would probably be annoying in
practice. But put back the [ch] thing if that's the issue you mean.

BTW, the relevant rules in test/Makefile are duplicating some of the
logic of those in data/emacs-module/Makefile.in. Perhaps the latter
could be removed. At least, test/Makefile should use FORCE to defer to
data/emacs-module/Makefile as to whether things are up-to-date.